org.apache.xmlbeans.impl.tool

## Class FactorImports

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.FactorImports

-     public class FactorImports
      extends Object

  This program takes a collection of .xsd files as input, finds all duplicate name definitions, and factors out the first instance of each of those into a common.xsd file, adding an appropriate statement in the original xsd file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactorImports()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `printUsage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactorImports

          public FactorImports()

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`